This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032183 - jBPM dashboard - Page "selected user or group" - KPIs not filtered
jBPM dashboard - Page "selected user or group" - KPIs not filtered
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
All All
medium Severity medium
: ER6
: 6.0.0
Assigned To: Jan
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 11:50 EST by Roger Martínez
Modified: 2014-08-06 16:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Martínez 2013-11-19 11:50:28 EST
Description of problem:

In the jBPM dashboard, when filtering in the main page by a user, the application drills-down to page "selected user or group".

In this page, there are three some kpis that are not filtered by the selected user and produce confusion. These kpis are:

- number of task instances
- tasks started by date
- tasks completed by date
- task duration

These kpis are showing tasks for ALL users, not the selected one. The other kpis of this page are filtered by the selected users.

Version-Release number of selected component (if applicable):

6.0.0-Final

How reproducible:


Steps to Reproduce:
1. Start some tasks for a given process using different users.
2. Go to Dashboards -> Process & Tasks dashboard
3. In the KPI "Instances started by user" click on a given user
4. The application drills-down to another page where the kpis indicated above are showing tasks for all users.

Actual results:

Task kpis are displaying tasks for all users. 

Expected results:

Display the tasks for the current user or change these kpi titles to not produce confusion.
Additional info:
Comment 3 Marek Baluch 2014-01-09 14:31:26 EST
Verified on ER7.

Note You need to log in before you can comment on or make changes to this bug.